import { TranscriberPlugin, TranscriptionEvents } from "./plugin/TranscriberPlugin";
import { TypedEmitter } from "../../Emitter";
import { Call } from "../Call";
export declare class CallTranscriber extends TypedEmitter<TranscriptionEvents> {
    private readonly call;
    private readonly transcriber;
    private static debug;
    private readonly processMessageRef;
    private readonly closeRef;
    constructor(call: Call, transcriber: TranscriberPlugin);
    private processMessage;
    private close;
    private collects;
}
