"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ivrNumberAndTestNameFilename = void 0;
const filenamify_1 = __importDefault(require("filenamify"));
/**
 * Produces filename that looks like '<phone-number>-<datetime>-<test-name>-<optional-suffix>'
 */
const ivrNumberAndTestNameFilename = ({ call }, test, suffix) => filenamify_1.default([`${Date.now()}`, call.to, test.name, suffix].filter((e) => e).join("-"));
exports.ivrNumberAndTestNameFilename = ivrNumberAndTestNameFilename;
