import { CallFlowTestDefinition } from "./test/CallFlowTestDefinition";
import { Call } from "../call/Call";
import { TestSession } from "../testRunner";
import { TranscriberFactory } from "../call/transcription/plugin/TranscriberFactory";
export interface TestExecutor {
    startTest(callFlowTest: CallFlowTestDefinition, call: Call): TestSession;
}
export declare function testExecutor(transcriberFactory: TranscriberFactory): TestExecutor;
