"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testExecutor = void 0;
const CallTranscriber_1 = require("../call/transcription/CallTranscriber");
function testExecutor(transcriberFactory) {
    return {
        startTest(callFlowTestDefinition, call) {
            const callTranscriber = new CallTranscriber_1.CallTranscriber(call, transcriberFactory.create());
            const callFlowSession = callFlowTestDefinition.instructions.runAgainstCallFlow(callTranscriber, call);
            return {
                call,
                callFlowTestDefinition,
                callFlowSession,
            };
        },
    };
}
exports.testExecutor = testExecutor;
